# Document Details Return detailed data about a document. Use Document Status for getting just a basic info and status. Get details about a document by its `id`. Details include: - Basic document information (name, document state, owner, sender, grand total, etc.) - Recipients (completion status, signing order, etc.) - Fields with values (incl. Collect Files field) - Tokens (variables) with values - Pricing information (pricing tables, products, quotes, etc.) - Content block names for table, image, and text blocks (tables, images, texts) - Metadata - Tags - Linked objects - [Approval flow](https://support.pandadoc.com/en/articles/9714799-approval-workflow) (if present) - Timestamps associated with a document. Note that `date_modified` means any changes associated with the recipients and document status, while `content_date_modified` reflects any changes in the document content. # OpenAPI definition ```json { "openapi": "3.0.3", "info": { "title": "PandaDoc Public API", "description": "PandaDoc API spans a broad range of functionality to help you build incredible documents automation experiences inside your product.\n\nPandaDoc API is organized around REST. Our API has predictable resource-oriented URLs and uses standard HTTP response codes, authentication, and verbs.\n\n## Getting started\n\nYou can start testing PandaDoc API with a sandbox key on our [Enterprise](https://www.pandadoc.com/pricing/) plan, either active or in trial.\n\nGenerate your [sandbox key](https://developers.pandadoc.com/reference/sandbox-key) on the Developer Dashboard with predefined [rate limits](https://developers.pandadoc.com/reference/limits). Or contact our solutions expert if you work with high-transaction volumes.\n\n## Guides\n\nIf you’re just getting started with PandaDoc, you may want to jump straight into one of our [getting started guides](https://developers.pandadoc.com/docs/getting-started) for the feature you’re most interested in, whether that’s:\n\n- [Create from template](https://developers.pandadoc.com/docs/create-send-document),\n- [Upload and send a local PDF](https://developers.pandadoc.com/docs/upload-and-send-a-local-pdf),\n- or [Listening for changes in document status](https://developers.pandadoc.com/docs/listen-document-status-changes).\n\nWe also recommend you to discover our dynamic content generation on a fly: [Create from a template with content placeholder](https://developers.pandadoc.com/docs/create-with-content-placeholders-from-template).\n", "termsOfService": "https://www.pandadoc.com/master-services-agreement/", "contact": { "name": "PandaDoc API Support", "url": "https://developers.pandadoc.com/", "email": "api-track@pandadoc.com" }, "license": { "name": "MIT", "url": "https://github.com/PandaDoc/pandadoc-openapi-specification/blob/main/LICENSE" }, "version": "7.18.2" }, "servers": [ { "url": "https://api.pandadoc.com", "description": "Public API" } ], "security": [ { "apiKey": [] }, { "oauth2": [] } ], "tags": [ { "name": "Documents", "description": "Operations for managing documents, including appending content library items and creating document sessions for embedded signing." } ], "paths": { "/public/v1/documents/{id}/details": { "get": { "tags": [ "Documents" ], "summary": "Document Details", "operationId": "detailsDocument", "description": "Return detailed data about a document. Use Document Status for getting just a basic info and status.\n\nGet details about a document by its `id`. Details include:\n\n- Basic document information (name, document state, owner, sender, grand total, etc.)\n- Recipients (completion status, signing order, etc.)\n- Fields with values (incl. Collect Files field)\n- Tokens (variables) with values\n- Pricing information (pricing tables, products, quotes, etc.)\n- Content block names for table, image, and text blocks (tables, images, texts)\n- Metadata\n- Tags\n- Linked objects\n- [Approval flow](https://support.pandadoc.com/en/articles/9714799-approval-workflow) (if present)\n- Timestamps associated with a document. Note that `date_modified` means any changes associated with the recipients and document status, while `content_date_modified` reflects any changes in the document content.\n", "parameters": [ { "examples": { "Document from empty template": { "value": "BhVzRcxH9Z2LgfPPGXFUBa" }, "API Sample Document from PandaDoc template": { "value": "PeePkgJLFT2UittjVdEyYG" }, "Completed Document Details": { "value": "f9CbJKS4ZAs6nU629cuowb" } }, "name": "id", "description": "Document ID", "in": "path", "schema": { "type": "string" }, "required": true } ], "responses": { "200": { "description": "OK", "content": { "application/json": { "schema": { "$ref": "#/components/schemas/DocumentDetailsResponse" }, "examples": { "Completed Document Details": { "value": { "approval_execution": null, "content_date_modified": "2024-07-08T15:43:54.194562Z", "linked_objects": [], "date_completed": "2024-07-08T15:43:53.877522Z", "id": "f9CbJKS4ZAs6nU629cuowb", "name": "Digital Marketing Proposal", "autonumbering_sequence_name_prefix": null, "date_created": "2024-07-08T15:36:09.600947Z", "date_modified": "2024-07-08T15:43:53.918819Z", "date_sent": "2024-07-08T15:41:23.351853Z", "ref_number": "MTMJR-FEUQB-ECEWW-3WVZP", "created_by": { "id": "FA5QAu8UGA3oVDQZuPL75B", "email": "pandaDoc@pandadoc.com", "first_name": "Panda", "last_name": "Doc", "avatar": null, "membership_id": "RyMNXBjBPRppw56TfYBrXi" }, "template": { "id": "gZRVmyHiQV5riXSCMKsku2", "name": "Sample Template" }, "expiration_date": "2024-09-06T15:43:36.297737Z", "metadata": { "document__created_via_public_api": "true", "document__creation_source": "public api" }, "tokens": [], "fields": [ { "uuid": "f03e22f3-b3a8-4783-8b26-e43880ef87bf", "name": "Signature", "title": "", "value": {}, "placeholder": "Signature", "assigned_to": { "id": "8KAZvGRL3W4u44a4fyDoeH", "first_name": "Recipient First Name", "last_name": "Recipient Last Name", "email": "test@pandadoc.com", "phone": "", "recipient_type": "signer", "has_completed": true, "role": "Client", "roles": [ "Client" ], "signing_order": null, "delivery_methods": { "sms": false, "email": true }, "redirect": { "is_enabled": false, "url": null }, "type": "recipient" }, "field_id": "signature_f03e22f3-b3a8-4783-8b26-e43880ef87bf", "type": "signature" } ], "pricing": {}, "tables": [ { "name": "Table_1" } ], "images": [ { "name": "Image_1" } ], "texts": [ { "name": "Legal Terms Section" } ], "tags": [ "tag1" ], "status": "document.completed", "recipients": [ { "id": "8KAZvGRL3W4u44a4fyDoeH", "first_name": "Recipient First Name", "last_name": "Recipient Last Name", "email": "test@pandadoc.com", "phone": "", "recipient_type": "signer", "has_completed": true, "role": "Client", "roles": [ "Client" ], "signing_order": null, "delivery_methods": { "sms": false, "email": true }, "redirect": { "is_enabled": false, "url": null }, "contact_id": "HzXnuyNraSXMhXchYjUmHJ", "shared_link": "https://app.pandadoc.com/document/15d4b481384b652a298530ddc7023bfc07a67d59", "signature_date": "2024-07-08T15:43:53.800135Z", "verification_settings": { "verification_place": "before_open", "kba_verification": null, "passcode_verification": null, "phone_verification": null, "id_verification": { "enabled": true } }, "type": "recipient" } ], "sent_by": { "id": "FA5QAu8UGA3oVDQZuPL75B", "email": "pandadoc@pandadoc.com", "first_name": "Panda", "last_name": "Doc", "avatar": null }, "grand_total": { "amount": "0", "currency": "EUR" }, "version": "2" } }, "Document from empty template": { "value": { "approval_execution": null, "content_date_modified": "2024-07-05T07:21:42.429978Z", "linked_objects": [], "date_completed": null, "id": "VFU2v7oq3ZiKCHD936eoHg", "name": "Document from empty Template", "autonumbering_sequence_name_prefix": null, "date_created": "2024-07-05T07:21:41.984654Z", "date_modified": "2024-07-05T07:21:42.409797Z", "date_sent": null, "ref_number": "MTMJR-FEUQB-ECEWW-3WVZP", "created_by": { "id": "bgx5MR7LiR3f9MQtt4MWYM", "email": "siarhei.soroka@pandadoc.com", "first_name": "Siarhei", "last_name": "Soroka", "avatar": "https://avatars.pandadoc-static.com/users/bgx5MR7LiR3f9MQtt4MWYM/avatar.jpeg", "membership_id": "nYNQTypQfNEnrcVR7VAzWQ" }, "template": { "id": "bonjUYEwp8TtHmEnrEy7kZ", "name": "Sample Template" }, "expiration_date": null, "metadata": { "document__creation_source": "public api", "document__created_via_public_api": "true" }, "tokens": [], "fields": [], "tables": [], "images": [], "pricing": {}, "tags": [], "status": "document.draft", "recipients": [], "sent_by": null, "grand_total": { "amount": "0", "currency": "USD" }, "version": "2" } }, "API Sample Document from PandaDoc template": { "value": { "id": "7kqXgjFejB2toXxjcC5jfZ", "name": "API Sample Document from PandaDoc Template", "autonumbering_sequence_name_prefix": null, "date_created": "2021-10-23T21:07:04.147Z", "date_modified": "2021-10-23T21:07:04.147Z", "date_completed": "2021-10-23T21:07:04.147Z", "content_date_modified": "2021-10-23T21:07:04.147Z", "date_sent": null, "ref_number": "MTMJR-FEUQB-ECEWW-3WVZP", "created_by": { "id": "7kqXgjFejB2toXxjcC5jfZ", "membership_id": "7kqXgjFejB2toXxjcC5jfZ", "email": "teset@test.test", "first_name": "Jhon", "last_name": "Dow", "avatar": "https://pd-live-media.s3.amazonaws.com/users/000GTSGwJw000L2KZqc000/avatar.jpg" }, "template": { "id": "hryJY9mqYZHjQCYQuSjRQg", "name": "Upload test" }, "expiration_date": null, "metadata": { "document__created_via_public_api": "true", "my_favorite_pet": "Panda", "opp_id": "1234567" }, "tokens": [ { "name": "Document.GrandTotal", "value": "$29.99" }, { "name": "Favorite.Pet", "value": "Panda" } ], "fields": [ { "uuid": "f9574c3b-5b1e-4479-b2c9-c3ccd92748f3", "name": "Click to upload a file", "title": "", "placeholder": "Click to upload a file", "value": { "name": "file_name.pdf", "url": "https://uploadfields.pandadoc-static.com/collect_files/e7b082c2-395b-43c7-a24c-66bd1bbb5d2f/65af1f23-9d26-4622-8ff0-f406b3be27b8-file_name.pdf" }, "assigned_to": { "id": "Fx7CgaVgpGbJBgZ4i5oTx8", "first_name": "John", "last_name": "Roe", "email": "john@example.com", "recipient_type": "signer", "has_completed": false, "role": "", "roles": [ "singer" ], "type": "recipient" }, "field_id": "CollectFile1", "type": "collect_file" }, { "uuid": "f9574c3b-5b1e-4479-b2c9-c3ccd92748f3", "name": "Favorite.Color", "merge_field": "Favorite.Color", "title": "Textfield", "value": "value", "assigned_to": { "id": "Fx7CgaVgpGbJBgZ4i5oTx8", "first_name": "John", "last_name": "Roe", "email": "john@example.com", "recipient_type": "signer", "has_completed": false, "role": "", "roles": [], "type": "recipient" }, "field_id": "text1", "type": "text" }, { "uuid": "f9574c3b-5b1e-4479-b2c9-c3ccd92748f3", "name": "Like", "merge_field": "Like", "title": "Checkbox", "value": true, "assigned_to": { "id": "Fx7CgaVgpGbJBgZ4i5oTx8", "first_name": "John", "last_name": "Roe", "email": "john@example.com", "recipient_type": "signer", "has_completed": false, "role": "", "roles": [ "signer" ], "type": "recipient" }, "field_id": "checkbox1", "type": "checkbox" } ], "pricing": { "tables": [ { "name": "Pricing Table", "id": "065c5cbc-a065-4843-ba17-028e63779605", "total": "11500", "is_included_in_total": true, "summary": { "subtotal": "11500", "total": "11500", "discount": "0", "tax": "0", "fee": "0" }, "items": [ { "id": "string", "sku": "string", "qty": "10", "name": "Annual license", "cost": "string", "price": "100", "description": "1 year subscription", "custom_fields": {}, "custom_columns": { "Images": "", "Cost": "", "Subtotal": "" }, "discount": { "value": "string", "type": "string" }, "tax_first": { "value": "string", "type": "string" }, "tax_second": { "value": "string", "type": "string" }, "subtotal": "10000", "options": {}, "sale_price": "1000", "taxes": {}, "discounts": {}, "fees": {}, "merged_data": { "custom_name": "SomeName", "custom_description": "SomeCustomDescription", "custom_price": "10.99", "custom_qty": "1.00", "custom_sku": "Test", "custom_tax": { "value": "10", "type": "percent" }, "custom_fee": { "value": "10", "type": "percent" }, "custom_discount": { "value": "10", "type": "percent" }, "custom_text": "Some other", "Cost": null, "Subtotal": "26.38", "fluffiness": "Fluffiness", "Other_field": "SomeText" } } ], "currency": "USD" } ], "quotes": [ { "id": "4b011d86-286b-4f86-b697-90a6ad3f1489", "currency": "USD", "total": "900", "summary": { "total": "900", "subtotal": "1000", "one_time_subtotal": "500", "recurring_subtotal": [ { "billing_cycle": "monthly", "value": "500" } ], "total_qty": "string", "discounts": { "property1": { "type": "string", "value": "string" }, "property2": { "type": "string", "value": "string" } }, "taxes": {}, "fees": {}, "custom_fields": { "property1": "string", "property2": "string" }, "total_discount": "100", "total_tax": "string", "total_fee": "string", "total_savings": "string", "total_contract_value": "1900" }, "sections": [ { "id": "string", "name": "string", "summary": { "total": "1000", "subtotal": "1000", "one_time_subtotal": "500", "recurring_subtotal": [ { "billing_cycle": "monthly", "value": "500" } ], "total_qty": "string", "discounts": {}, "taxes": {}, "fees": {}, "custom_fields": { "property1": "string", "property2": "string" }, "total_section_value": "1900" }, "columns": [ { "header": "string", "name": "string", "merge_name": "string", "hidden": "string" } ], "items": [ { "id": "string", "sku": "string", "name": "string", "description": "string", "qty": "1", "price": "500", "cost": "string", "billing_frequency": "string", "contract_term": "string", "pricing_method": "string", "type": "string", "reference_type": "string", "options": { "selected": true, "qty_editable": true }, "custom_columns": { "property1": "string", "property2": "string" }, "discounts": { "property1": { "type": "string", "value": "string" }, "property2": { "type": "string", "value": "string" } }, "taxes": { "property1": { "type": "string", "value": "string" }, "property2": { "type": "string", "value": "string" } }, "fees": { "property1": { "type": "string", "value": "string" }, "property2": { "type": "string", "value": "string" } }, "multipliers": { "property1": "string", "property2": "string" }, "total": "string", "overall_total": "1000" } ], "total": "1000", "settings": { "optional": true, "selected": true, "selection_type": "custom" } } ], "merge_rules": [ { "id": "string", "enabled": true, "action": { "type": "string", "section_id": "string" }, "condition": { "field_name": "string", "type": "string", "comparison": [ { "type": "string", "value": "string" } ] } } ], "settings": { "selection_type": "custom" } } ], "total": "11500" }, "tables": [ { "name": "Table 1" } ], "images": [ { "name": "Image 1" } ], "version": "2", "tags": [ "tag1", "tag2" ], "sent_by": null, "recipients": [ { "recipient_type": "CC", "role": "", "roles": [ "user" ], "last_name": "Dow", "signing_order": null, "id": "7kqXgjFejB2toXxjcC5jfZ", "contact_id": "7kqXgjFejB2toXxjcC5jfZ", "first_name": "Jhon", "email": "test@test.com", "has_completed": true, "shared_link": "https://app.pandadoc.com/document/b7f11ea3c09d1c11208cc122457d4f3a2829d364", "verification_settings": { "verification_place": "before_open", "passcode_verification": { "passcode": "SimpleCode1" }, "kba_verification": null, "id_verification": "null,", "phone_verification": null }, "signature_date": "2021-10-23T21:07:04.147Z" } ], "grand_total": { "amount": "29.99", "currency": "USD" }, "linked_objects": [ { "provider": "hubspot", "entity_type": "deal", "entity_id": "18640", "id": "ea88ed1dc8094dd3a57754aa643a1954" } ], "status": "document.draft" } } } } } }, "401": { "$ref": "#/components/responses/401" }, "403": { "$ref": "#/components/responses/403" }, "404": { "$ref": "#/components/responses/404" }, "409": { "$ref": "#/components/responses/409" }, "429": { "$ref": "#/components/responses/429" } } } } }, "components": { "securitySchemes": { "apiKey": { "type": "apiKey", "name": "Authorization", "in": "header", "description": "The `Authorization` header must contain the API key. The value should be prefixed with `API-Key` followed by a space and the actual API key.\n", "x-default": "API-Key 3039ba033eb1410caa0a2227158d63c9d6502cd8" }, "oauth2": { "type": "oauth2", "flows": { "authorizationCode": { "authorizationUrl": "https://app.pandadoc.com/oauth2/authorize", "tokenUrl": "https://api.pandadoc.com/oauth2/access_token", "refreshUrl": "https://api.pandadoc.com/oauth2/access_token", "scopes": { "read+write": "Use `read+write` to create, send, delete, and download documents, and `read` to view templates and document details." } } }, "description": "Send the authenticating user to the PandaDoc OAuth2 request URL. We recommend a button or a link titled\n\"Connect to PandaDoc\" if you are connecting users from a custom application. Users will see the \"Authorize Application\" screen.\nWhen the user clicks \"Authorize\", PandaDoc redirects the user back to your site with an authorization code inside the URL.\n\nhttps://app.pandadoc.com/oauth2/authorize?client_id={client_id}&redirect_uri={redirect_uri}&scope=read+write&response_type=code\n\n`client_id` and `redirect_uri` values should match your application settings.\n" } }, "schemas": { "RecipientDeliveryMethods": { "type": "object", "nullable": true, "properties": { "email": { "type": "boolean" }, "sms": { "type": "boolean" } } }, "RecipientRedirect": { "type": "object", "properties": { "is_enabled": { "type": "boolean", "default": false }, "url": { "type": "string", "nullable": true, "default": null, "example": "https://example.com", "description": "A URL to redirect to after the document is signed." } }, "required": [ "is_enabled", "url" ] }, "RecipientVerificationPlaceEnum": { "description": "Specifies when a recipient must complete the verification process:\n- `before_open` (before opening the document),\n- `before_sign` (before signing the document).\n", "type": "string", "enum": [ "before_open", "before_sign" ] }, "RecipientVerificationSettings": { "type": "object", "nullable": true, "description": "To set up recipient verification, fill in verification_place and specify the type: passcode_verification, phone_verification, kba_verification or id_verification.\n- For passcode_verification, provide the passcode.\n- For phone_verification, provide the phone_number.\n- For kba_verification and id_verification, set the enabled parameter to true.\n", "properties": { "verification_place": { "$ref": "#/components/schemas/RecipientVerificationPlaceEnum" }, "passcode_verification": { "type": "object", "description": "Sets the passcode.", "properties": { "passcode": { "type": "string", "pattern": "^(?=(?:.*[a-zA-Z]){1,})(?=(?:.*[0-9]){1,})^[\\S]{6,100}$", "example": "SimpleCode1", "description": "Document passcode." } }, "required": [ "passcode" ], "nullable": true }, "phone_verification": { "type": "object", "description": "Sets the phone number to send a passcode to.", "properties": { "phone_number": { "type": "string", "pattern": "^\\+[1-9]\\d{0,4}\\d{2,14}$", "example": "+1234567890", "description": "A phone number to send a passcode to." } }, "required": [ "phone_number" ] }, "kba_verification": { "type": "object", "description": "Sets the KBA verification.", "properties": { "time_limit_sec": { "type": "integer", "example": 120 }, "score_threshold": { "type": "integer", "example": 80 }, "max_attempts_count": { "type": "integer", "example": 2 } } }, "id_verification": { "type": "object", "description": "Sets the ID verification.", "properties": { "enabled": { "type": "boolean", "example": true } } } } }, "RecipientAssignmentDetails": { "type": "object", "properties": { "id": { "type": "string", "example": "DueKG6wZYwmqsvPrnk76ma" }, "email": { "type": "string", "format": "email", "example": "email@example.com" }, "recipient_type": { "type": "string", "example": "signer" }, "roles": { "type": "array", "items": { "type": "string" }, "example": [ "Role 1" ] }, "signing_order": { "type": "integer", "example": 1 }, "has_completed": { "type": "boolean", "example": false } } }, "AssignedToRecipientDeliveryMethods": { "type": "object", "properties": { "sms": { "type": "boolean" }, "email": { "type": "boolean" } } }, "RecipientRedirectSettings": { "type": "object", "properties": { "is_enabled": { "type": "boolean" }, "url": { "type": "string" } } }, "RecipientAssignedTo": { "title": "Recipient", "description": "Recipient", "allOf": [ { "$ref": "#/components/schemas/RecipientAssignmentDetails" }, { "type": "object", "properties": { "first_name": { "type": "string", "example": "John" }, "last_name": { "type": "string", "example": "Doe" }, "phone": { "type": "string", "example": "+1234567890" }, "role": { "type": "string", "example": "Role 1" }, "delivery_methods": { "$ref": "#/components/schemas/AssignedToRecipientDeliveryMethods" }, "redirect": { "$ref": "#/components/schemas/RecipientRedirectSettings" }, "type": { "type": "string", "enum": [ "recipient" ] } } } ] }, "RecipientsGroupAssignedTo": { "title": "Recipient Group", "description": "Collection of Recipients", "allOf": [ { "$ref": "#/components/schemas/RecipientAssignmentDetails" }, { "properties": { "name": { "type": "string", "example": "Group name" }, "members": { "type": "array", "items": { "type": "object", "properties": { "id": { "type": "string", "format": "uuid", "example": "027d6a8e-bd05-45dc-a609-43840d523b7b" }, "email": { "type": "string", "format": "email", "example": "email@example.com" }, "first_name": { "type": "string", "example": "John" }, "last_name": { "type": "string", "example": "Doe" } } } }, "type": { "type": "string", "enum": [ "recipient_group" ] } } } ] }, "FieldTypeEnum": { "type": "string", "enum": [ "checkbox", "collect_file", "date", "dropdown", "initials", "payment_details", "radio_buttons", "signature", "stamp", "text" ], "example": "payment_details" }, "BaseField": { "type": "object", "properties": { "uuid": { "type": "string", "example": "6ce1a193-04da-4023-98c3-51ef1b8747b9" }, "name": { "type": "string", "description": "Name of a field" }, "title": { "type": "string" }, "placeholder": { "type": "string", "description": "Placeholder of a field" }, "assigned_to": { "anyOf": [ { "$ref": "#/components/schemas/RecipientAssignedTo" }, { "$ref": "#/components/schemas/RecipientsGroupAssignedTo" } ], "discriminator": { "propertyName": "type", "mapping": { "recipient": "#/components/schemas/RecipientAssignedTo", "recipient_group": "#/components/schemas/RecipientsGroupAssignedTo" } } }, "field_id": { "type": "string", "example": "FieldId1" }, "type": { "$ref": "#/components/schemas/FieldTypeEnum" } } }, "Checkbox": { "title": "Checkbox", "allOf": [ { "$ref": "#/components/schemas/BaseField" }, { "type": "object", "properties": { "value": { "type": "boolean", "description": "Value of the Checkbox field.", "example": true }, "merge_field": { "type": "string", "example": "MergeId" }, "type": { "type": "string", "enum": [ "checkbox" ] } } } ] }, "CollectFile": { "title": "Collect File", "allOf": [ { "$ref": "#/components/schemas/BaseField" }, { "type": "object", "properties": { "value": { "type": "object", "description": "Value of the Collect File field.", "properties": { "name": { "type": "string", "example": "example.jpg" }, "url": { "type": "string", "example": "https://some-url.com/collect_files" } } }, "type": { "type": "string", "enum": [ "collect_file" ] } } } ] }, "Date": { "title": "Date", "allOf": [ { "$ref": "#/components/schemas/BaseField" }, { "type": "object", "properties": { "value": { "type": "string", "format": "date-time", "description": "Value of the Date field.", "example": "2024-01-01T00:00:00" }, "merge_field": { "type": "string", "example": "MergeId" }, "type": { "type": "string", "enum": [ "date" ] } } } ] }, "Dropdown": { "title": "Dropdown", "allOf": [ { "$ref": "#/components/schemas/BaseField" }, { "type": "object", "properties": { "value": { "type": "string", "description": "Value of the Dropdown field.", "example": "dropdown item 1" }, "merge_field": { "type": "string", "example": "MergeId" }, "type": { "type": "string", "enum": [ "dropdown" ] } } } ] }, "Initials": { "title": "Initials", "allOf": [ { "$ref": "#/components/schemas/BaseField" }, { "type": "object", "properties": { "value": { "type": "object", "description": "Value of the Initials field. Always empty object.", "example": {} }, "type": { "type": "string", "enum": [ "initials" ] } } } ] }, "Payment": { "title": "Payment Details", "allOf": [ { "$ref": "#/components/schemas/BaseField" }, { "type": "object", "properties": { "value": { "type": "string", "description": "Value of the Payment field. Always empty string.", "example": "" }, "type": { "type": "string", "enum": [ "payment_details" ] } } } ] }, "RadioButtons": { "title": "Radio Buttons", "allOf": [ { "$ref": "#/components/schemas/BaseField" }, { "type": "object", "properties": { "value": { "type": "string", "description": "Value of the Radio Buttons field.", "example": "Option 1" }, "merge_field": { "type": "string", "example": "MergeId" }, "type": { "type": "string", "enum": [ "radio_buttons" ] } } } ] }, "Signature": { "title": "Signature", "allOf": [ { "$ref": "#/components/schemas/BaseField" }, { "type": "object", "properties": { "value": { "type": "object", "description": "Value of the Signature field. Always empty object.", "example": {} }, "type": { "type": "string", "enum": [ "signature" ] } } } ] }, "Stamp": { "title": "Stamp", "allOf": [ { "$ref": "#/components/schemas/BaseField" }, { "type": "object", "properties": { "value": { "type": "object", "description": "Value of the Stamp field. Always empty object.", "example": {} }, "type": { "type": "string", "enum": [ "stamp" ] } } } ] }, "Text": { "title": "Text", "allOf": [ { "$ref": "#/components/schemas/BaseField" }, { "type": "object", "properties": { "value": { "type": "string", "description": "Value of the Text field.", "example": "Some text" }, "merge_field": { "type": "string", "example": "MergeId", "nullable": true }, "type": { "type": "string", "enum": [ "text" ] } } } ] }, "Field": { "anyOf": [ { "$ref": "#/components/schemas/Checkbox" }, { "$ref": "#/components/schemas/CollectFile" }, { "$ref": "#/components/schemas/Date" }, { "$ref": "#/components/schemas/Dropdown" }, { "$ref": "#/components/schemas/Initials" }, { "$ref": "#/components/schemas/Payment" }, { "$ref": "#/components/schemas/RadioButtons" }, { "$ref": "#/components/schemas/Signature" }, { "$ref": "#/components/schemas/Stamp" }, { "$ref": "#/components/schemas/Text" } ], "discriminator": { "propertyName": "type", "mapping": { "checkbox": "#/components/schemas/Checkbox", "collect_file": "#/components/schemas/CollectFile", "date": "#/components/schemas/Date", "dropdown": "#/components/schemas/Dropdown", "initials": "#/components/schemas/Initials", "payment": "#/components/schemas/Payment", "radio_buttons": "#/components/schemas/RadioButtons", "signature": "#/components/schemas/Signature", "stamp": "#/components/schemas/Stamp", "text": "#/components/schemas/Text" } } }, "PricingTableResponse": { "type": "object", "properties": { "name": { "type": "string", "example": "Pricing Table" }, "id": { "type": "string", "example": "065c5cbc-a065-4843-ba17-028e63779605" }, "total": { "type": "string", "example": "11500" }, "is_included_in_total": { "type": "boolean" }, "summary": { "type": "object", "nullable": true, "properties": { "subtotal": { "type": "string", "example": "11500", "nullable": true }, "total": { "type": "string", "example": "11500", "nullable": true }, "discount": { "type": "string", "example": "0", "nullable": true }, "tax": { "type": "string", "example": "0", "nullable": true }, "fee": { "type": "string", "example": "0", "nullable": true } } }, "items": { "type": "array", "items": { "type": "object", "properties": { "id": { "type": "string", "nullable": true }, "sku": { "type": "string", "nullable": true }, "qty": { "type": "string", "nullable": true, "example": "10" }, "name": { "type": "string", "nullable": true, "example": "Annual license" }, "cost": { "type": "string", "nullable": true }, "price": { "type": "string", "nullable": true, "example": "100" }, "description": { "type": "string", "nullable": true, "example": "1 year subscription" }, "custom_fields": { "type": "object", "nullable": true, "example": {} }, "custom_columns": { "type": "object", "nullable": true, "example": { "Images": "", "Cost": "", "Subtotal": "" } }, "discount": { "type": "object", "nullable": true, "properties": { "value": { "type": "string", "nullable": true }, "type": { "type": "string", "nullable": true } } }, "tax_first": { "type": "object", "nullable": true, "properties": { "value": { "type": "string", "nullable": true }, "type": { "type": "string", "nullable": true } } }, "tax_second": { "type": "object", "nullable": true, "properties": { "value": { "type": "string", "nullable": true }, "type": { "type": "string", "nullable": true } } }, "subtotal": { "type": "string", "nullable": true, "example": "10000" }, "options": { "type": "object", "nullable": true, "example": {}, "properties": { "optional": { "type": "boolean", "nullable": true }, "optional_selected": { "type": "boolean", "nullable": true }, "multichoice_enabled": { "type": "boolean", "nullable": true }, "multichoice_selected": { "type": "boolean", "nullable": true } } }, "sale_price": { "type": "string", "nullable": true, "example": "1000" }, "taxes": { "type": "object", "nullable": true, "example": {} }, "discounts": { "type": "object", "nullable": true, "example": {} }, "fees": { "type": "object", "nullable": true, "example": {} }, "merged_data": { "type": "object", "nullable": true, "description": "Contains all fields in a flat structure with external field names defined in the template.", "example": { "custom_name": "SomeName", "custom_description": "SomeCustomDescription", "custom_price": "10.99", "custom_qty": "1.00", "custom_sku": "Test", "custom_tax": { "value": "10", "type": "percent" }, "custom_fee": { "value": "10", "type": "percent" }, "custom_discount": { "value": "10", "type": "percent" }, "custom_text": "Some other", "Cost": null, "Subtotal": "26.38", "fluffiness": "Fluffiness", "Other_field": "SomeText" } } } } }, "currency": { "type": "string", "example": "USD" } } }, "QuoteSectionSettings": { "type": "object", "properties": { "optional": { "type": "boolean" }, "selected": { "type": "boolean" }, "selection_type": { "type": "string", "enum": [ "custom", "single", "multiple" ] } } }, "QuoteResponse": { "type": "object", "properties": { "id": { "type": "string", "example": "4b011d86-286b-4f86-b697-90a6ad3f1489" }, "currency": { "type": "string", "example": "USD" }, "total": { "type": "string", "example": "900" }, "summary": { "type": "object", "title": "QuoteResponseSummary", "properties": { "total": { "type": "string", "example": "900" }, "subtotal": { "type": "string", "example": "1000", "nullable": true }, "one_time_subtotal": { "type": "string", "example": "500", "nullable": true }, "recurring_subtotal": { "type": "array", "items": { "type": "object", "properties": { "billing_cycle": { "type": "string", "example": "monthly" }, "value": { "type": "string", "example": "500" } } }, "nullable": true }, "total_qty": { "type": "string", "nullable": true }, "discounts": { "type": "object", "nullable": true, "additionalProperties": { "type": "object", "properties": { "type": { "type": "string", "nullable": true }, "value": { "type": "string", "nullable": true } } } }, "taxes": { "type": "object", "nullable": true }, "fees": { "type": "object", "nullable": true }, "custom_fields": { "type": "object", "nullable": true, "additionalProperties": { "type": "string" } }, "total_discount": { "type": "string", "example": "100", "nullable": true }, "total_tax": { "type": "string", "nullable": true }, "total_fee": { "type": "string", "nullable": true }, "total_savings": { "type": "string", "nullable": true }, "total_contract_value": { "type": "string", "example": "1900", "nullable": true } } }, "sections": { "type": "array", "items": { "type": "object", "properties": { "id": { "type": "string" }, "name": { "type": "string" }, "summary": { "type": "object", "title": "QuoteResponseSectionSummary", "properties": { "total": { "type": "string", "example": "1000" }, "subtotal": { "type": "string", "example": "1000", "nullable": true }, "one_time_subtotal": { "type": "string", "example": "500", "nullable": true }, "recurring_subtotal": { "type": "array", "items": { "type": "object", "properties": { "billing_cycle": { "type": "string", "example": "monthly" }, "value": { "type": "string", "example": "500" } } }, "nullable": true }, "total_qty": { "type": "string", "nullable": true }, "discounts": { "type": "object", "nullable": true }, "taxes": { "type": "object", "nullable": true }, "fees": { "type": "object", "nullable": true }, "custom_fields": { "type": "object", "nullable": true, "additionalProperties": { "type": "string" } }, "total_section_value": { "type": "string", "example": "1900", "nullable": true } } }, "columns": { "type": "array", "items": { "type": "object", "title": "QuoteResponseSectionColumn", "properties": { "header": { "type": "string", "nullable": true }, "name": { "type": "string" }, "merge_name": { "type": "string", "nullable": true }, "hidden": { "type": "string" } } } }, "items": { "type": "array", "items": { "type": "object", "title": "QuoteResponseSectionItem", "properties": { "id": { "type": "string", "nullable": true }, "sku": { "type": "string", "nullable": true }, "name": { "type": "string", "nullable": true }, "description": { "type": "string", "nullable": true }, "qty": { "type": "string", "nullable": true, "example": "1" }, "price": { "type": "string", "nullable": true, "example": "500" }, "cost": { "type": "string", "nullable": true }, "billing_frequency": { "type": "string", "nullable": true }, "contract_term": { "type": "string", "nullable": true }, "pricing_method": { "type": "string", "nullable": true }, "type": { "type": "string", "nullable": true }, "reference_type": { "type": "string", "nullable": true }, "options": { "type": "object", "nullable": true, "properties": { "selected": { "type": "boolean", "nullable": true }, "qty_editable": { "type": "boolean", "nullable": true } } }, "custom_columns": { "type": "object", "nullable": true, "additionalProperties": { "type": "string" } }, "external_columns": { "type": "object", "nullable": false, "additionalProperties": { "type": "string" } }, "discounts": { "type": "object", "nullable": true, "additionalProperties": { "type": "object", "properties": { "type": { "type": "string", "nullable": true }, "value": { "type": "string", "nullable": true } } } }, "taxes": { "type": "object", "nullable": true, "additionalProperties": { "type": "object", "properties": { "type": { "type": "string", "nullable": true }, "value": { "type": "string", "nullable": true } } } }, "fees": { "type": "object", "nullable": true, "additionalProperties": { "type": "object", "properties": { "type": { "type": "string", "nullable": true }, "value": { "type": "string", "nullable": true } } } }, "multipliers": { "type": "object", "nullable": true, "additionalProperties": { "type": "string" } }, "total": { "type": "string", "nullable": true }, "overall_total": { "type": "string", "example": "1000", "nullable": true } } }, "nullable": true }, "total": { "type": "string", "example": "1000" }, "settings": { "$ref": "#/components/schemas/QuoteSectionSettings" } }, "nullable": true } }, "merge_rules": { "type": "array", "items": { "type": "object", "properties": { "id": { "type": "string" }, "enabled": { "type": "boolean" }, "action": { "type": "object", "properties": { "type": { "type": "string" }, "section_id": { "type": "string" } } }, "condition": { "type": "object", "properties": { "field_name": { "type": "string" }, "type": { "type": "string" }, "comparison": { "type": "array", "items": { "type": "object", "properties": { "type": { "type": "string" }, "value": { "type": "string" } } } } } } } } }, "settings": { "type": "object", "properties": { "selection_type": { "type": "string", "enum": [ "custom", "single", "multiple" ] } } } } }, "PricingResponse": { "type": "object", "properties": { "tables": { "type": "array", "items": { "$ref": "#/components/schemas/PricingTableResponse" } }, "quotes": { "type": "array", "items": { "$ref": "#/components/schemas/QuoteResponse" } }, "total": { "type": "string", "example": "11500" } } }, "RecipientPersonalDetails": { "type": "object", "description": "Actor", "properties": { "id": { "type": "string", "example": "7kqXgjFejB2toXxjcC5jfZ" }, "recipient_type": { "type": "string", "example": "CC" }, "role": { "type": "string", "deprecated": true, "example": "" }, "roles": { "type": "array", "items": { "type": "string" }, "example": [ "user" ] }, "signing_order": { "type": "integer", "minimum": 1, "nullable": true }, "email": { "type": "string", "nullable": true, "example": "test@test.com" }, "has_completed": { "type": "boolean", "example": true } } }, "DocumentDetailsRecipient": { "title": "Recipient", "allOf": [ { "$ref": "#/components/schemas/RecipientPersonalDetails" }, { "type": "object", "description": "Recipient", "properties": { "last_name": { "type": "string", "example": "Dow" }, "contact_id": { "type": "string", "example": "7kqXgjFejB2toXxjcC5jfZ" }, "first_name": { "type": "string", "example": "Jhon" }, "phone": { "type": "string", "nullable": true, "example": "+14842634627" }, "delivery_methods": { "$ref": "#/components/schemas/RecipientDeliveryMethods" }, "has_completed": { "type": "boolean", "example": true }, "shared_link": { "type": "string", "example": "https://app.pandadoc.com/document/b7f11ea3c09d1c11208cc122457d4f3a2829d364" }, "signature_date": { "type": "string", "nullable": true, "example": "2021-10-23T21:07:04.147345Z" }, "verification_settings": { "$ref": "#/components/schemas/RecipientVerificationSettings" }, "redirect": { "$ref": "#/components/schemas/RecipientRedirect" }, "avatar": { "type": "string", "nullable": true, "example": "https://pd-live-media.s3.amazonaws.com/users/000GTSGwJw000L2KZqc000/avatar.jpg" }, "type": { "type": "string", "example": "recipient", "enum": [ "recipient" ] } } } ] }, "DocumentDetailsRecipientGroupMember": { "type": "object", "description": "Recipient Group Member", "properties": { "id": { "type": "string", "example": "4b011d86-286b-4f86-b697-90a6ad3f1489" }, "first_name": { "type": "string", "example": "Jhon" }, "last_name": { "type": "string", "example": "Dow" }, "email": { "type": "string", "nullable": true, "example": "test@test.com" }, "shared_link": { "type": "string", "example": "https://app.pandadoc.com/document/b7f11ea3c09d1c11208cc122457d4f3a2829d364" }, "avatar": { "type": "string", "nullable": true, "example": "https://pd-live-media.s3.amazonaws.com/users/000GTSGwJw000L2KZqc000/avatar.jpg" }, "signature_date": { "type": "string", "nullable": true, "example": "2021-10-23T21:07:04.147345Z" } } }, "DocumentDetailsRecipientGroup": { "title": "Recipient Group", "allOf": [ { "$ref": "#/components/schemas/RecipientPersonalDetails" }, { "type": "object", "description": "Recipient Group", "properties": { "name": { "type": "string", "example": "Group 1" }, "type": { "type": "string", "example": "recipient_group", "enum": [ "recipient_group" ] }, "members": { "type": "array", "items": { "$ref": "#/components/schemas/DocumentDetailsRecipientGroupMember" } } } } ] }, "DocumentDetailsResponse": { "type": "object", "properties": { "id": { "type": "string", "description": "Document ID.", "example": "7kqXgjFejB2toXxjcC5jfZ" }, "name": { "type": "string", "description": "Document name.", "example": "API Sample Document from PandaDoc Template" }, "autonumbering_sequence_name_prefix": {}, "folder_uuid": { "type": "string", "example": "QMDSzwabfFzTgjW4kUijqQ", "description": "ID of the folder where the created document should be stored.", "nullable": true }, "date_created": { "type": "string", "description": "Document creation date.", "example": "2021-10-23T21:07:04.147345Z" }, "date_modified": { "type": "string", "description": "Document modification date.", "example": "2021-10-23T21:07:04.147345Z" }, "date_completed": { "type": "string", "description": "Document completion date.", "example": "2021-10-23T21:07:04.147345Z", "nullable": true }, "content_date_modified": { "type": "string", "description": "Document content modification date.", "example": "2021-10-23T21:07:04.147345Z" }, "date_sent": { "type": "string", "description": "Document sent date.", "nullable": true, "example": "2021-10-23T21:07:04.147345Z" }, "ref_number": { "type": "string", "description": "Document reference number.", "example": "MTMJR-FEUQB-ECEWW-3WVZP" }, "created_by": { "type": "object", "description": "Document creator details.", "properties": { "id": { "type": "string", "description": "Creator ID.", "example": "7kqXgjFejB2toXxjcC5jfZ" }, "membership_id": { "type": "string", "description": "Creator membership ID.", "example": "7kqXgjFejB2toXxjcC5jfZ" }, "email": { "type": "string", "description": "Creator email.", "example": "teset@test.test" }, "first_name": { "type": "string", "description": "Creator first name.", "example": "Jhon" }, "last_name": { "type": "string", "description": "Creator last name.", "example": "Dow" }, "avatar": { "type": "string", "description": "Creator avatar URL.", "example": "https://pd-live-media.s3.amazonaws.com/users/000GTSGwJw000L2KZqc000/avatar.jpg", "nullable": true } } }, "template": { "type": "object", "description": "Document template details.", "nullable": true, "properties": { "id": { "type": "string", "description": "Template ID.", "example": "hryJY9mqYZHjQCYQuSjRQg" }, "name": { "type": "string", "description": "Template name.", "example": "Upload test" } } }, "expiration_date": { "type": "string", "description": "Document expiration date.", "example": "2021-10-23T21:07:04.147345Z", "nullable": true }, "metadata": { "type": "object", "description": "Document metadata.", "example": { "document__created_via_public_api": "true", "my_favorite_pet": "Panda", "opp_id": "1234567" } }, "tokens": { "type": "array", "description": "Document tokens.", "items": { "type": "object" }, "example": [ { "name": "Document.GrandTotal", "value": "$29.99" }, { "name": "Favorite.Pet", "value": "Panda" } ] }, "fields": { "type": "array", "description": "Document fields.", "items": { "$ref": "#/components/schemas/Field" }, "example": [ { "uuid": "f9574c3b-5b1e-4479-b2c9-c3ccd92748f3", "name": "Click to upload a file", "title": "", "placeholder": "Click to upload a file", "value": { "name": "file_name.pdf", "url": "https://uploadfields.pandadoc-static.com/collect_files/e7b082c2-395b-43c7-a24c-66bd1bbb5d2f/65af1f23-9d26-4622-8ff0-f406b3be27b8-file_name.pdf" }, "assigned_to": { "id": "Fx7CgaVgpGbJBgZ4i5oTx8", "first_name": "John", "last_name": "Roe", "email": "john@example.com", "recipient_type": "signer", "has_completed": false, "role": "", "roles": [ "singer" ], "type": "recipient" }, "field_id": "CollectFile1", "type": "collect_file" }, { "uuid": "f9574c3b-5b1e-4479-b2c9-c3ccd92748f3", "name": "Favorite.Color", "merge_field": "Favorite.Color", "title": "Textfield", "value": "value", "assigned_to": { "id": "Fx7CgaVgpGbJBgZ4i5oTx8", "name": "Group 2", "email": "group2@example.com", "recipient_type": "signer", "has_completed": false, "roles": [], "type": "recipient_group", "members": [ { "id": "4b011d86-286b-4f86-b697-90a6ad3f1489", "email": "john@example.com", "first_name": "John", "last_name": "Doe" } ] }, "field_id": "text1", "type": "text" }, { "uuid": "M4755SJuoyz5Jzsw4WXTDb", "name": "Like", "merge_field": "Like", "title": "Checkbox", "value": true, "assigned_to": { "id": "Fx7CgaVgpGbJBgZ4i5oTx8", "first_name": "John", "last_name": "Roe", "email": "john@example.com", "recipient_type": "signer", "has_completed": false, "role": "", "roles": [ "signer" ], "type": "recipient" }, "field_id": "checkbox1", "type": "checkbox" } ] }, "pricing": { "$ref": "#/components/schemas/PricingResponse" }, "tables": { "type": "array", "description": "Document tables.", "items": { "type": "object", "properties": { "name": { "type": "string", "description": "Table name." } } } }, "images": { "type": "array", "description": "Document images.", "items": { "type": "object", "properties": { "name": { "type": "string", "description": "Image name." } } } }, "texts": { "type": "array", "description": "Document text blocks.", "items": { "type": "object", "properties": { "name": { "type": "string", "description": "Text name.", "example": "Legal Terms Section" } } } }, "tags": { "type": "array", "description": "Document tags.", "items": { "type": "string" }, "example": [ "tag1", "tag2" ] }, "sent_by": { "description": "Document sent by." }, "recipients": { "type": "array", "description": "Document recipients.", "items": { "type": "object", "oneOf": [ { "$ref": "#/components/schemas/DocumentDetailsRecipient" }, { "$ref": "#/components/schemas/DocumentDetailsRecipientGroup" } ], "discriminator": { "propertyName": "type", "mapping": { "recipient": "#/components/schemas/DocumentDetailsRecipient", "recipient_group": "#/components/schemas/DocumentDetailsRecipientGroup" } } } }, "grand_total": { "type": "object", "description": "Document grand total.", "properties": { "amount": { "type": "string", "description": "Total amount.", "example": "29.99" }, "currency": { "type": "string", "description": "Currency type.", "example": "USD" } } }, "linked_objects": { "type": "array", "description": "Document linked objects.", "items": { "type": "object", "properties": { "provider": { "type": "string", "description": "Linked object provider.", "example": "hubspot" }, "entity_type": { "type": "string", "description": "Linked object entity type.", "example": "deal" }, "entity_id": { "type": "string", "description": "Linked object entity ID.", "example": "18640" }, "id": { "type": "string", "description": "Linked object ID.", "example": "ea88ed1dc8094dd3a57754aa643a1954" }, "children": { "type": "array", "description": "Linked object children array.", "items": { "type": "object", "properties": { "entity_type": { "type": "string", "description": "Linked object child entity type.", "example": "child-deal" }, "entity_id": { "type": "string", "description": "Linked object child entity ID.", "example": "19640" }, "id": { "type": "string", "description": "Linked object child ID.", "example": "ea88ed1dc8094dd3a57754aa643a1954" } } } } } } }, "status": { "type": "string", "description": "Document status.", "example": "document.draft" }, "approval_execution": { "type": "object", "description": "Document approval execution.", "nullable": true, "properties": { "document_uuid": { "type": "string", "description": "Decoded uuid of related RegularDocument instance.", "example": "1234567890" }, "revision_number": { "type": "integer", "description": "Consequent number of revision for related RegularDocument.", "example": 1 } } }, "version": { "type": "string", "description": "Document version.", "example": "1" } } } }, "responses": { "401": { "description": "Authentication error", "content": { "application/json": { "schema": { "properties": { "type": { "type": "string", "example": "authentication_error" }, "detail": { "type": "string", "example": "Authentication credentials were not provided." } } } } } }, "403": { "description": "Permission error", "content": { "application/json": { "schema": { "properties": { "type": { "type": "string", "example": "permission_error" }, "detail": { "type": "string", "example": "You do not have permission to perform this action." }, "info_message": { "type": "string", "description": "Human-readable explanation of the permission error.", "example": "You are not allowed to send documents outside of your organization" }, "links": { "type": "array", "description": "Optional links related to the error (e.g. a status endpoint).", "items": { "type": "object", "properties": { "rel": { "type": "string", "example": "status" }, "href": { "type": "string", "example": "https://api.pandadoc.com/public/v1/documents/RsXrKarV524iCpjci9CMGa" }, "type": { "type": "string", "example": "POST" } } } } } } } } }, "404": { "description": "Not found", "content": { "application/json": { "schema": { "properties": { "type": { "type": "string", "example": "request_error" }, "detail": { "type": "string", "example": "Not found" } } } } } }, "409": { "description": "Conflict", "content": { "application/json": { "schema": { "properties": { "id": { "type": "string", "example": "mXpGsEBHdSFW97zKXq75hm" }, "status": { "type": "string", "example": "document.uploaded" }, "info_message": { "type": "string", "example": "Warning - Document status document.uploaded doesn’t mean that the document already exists - processing happens asynchronously. Please follow the documentation section https://developers.pandadoc.com/reference/new-document" } } } } } }, "429": { "description": "Too Many Requests", "content": { "application/json": { "schema": { "properties": { "type": { "type": "string", "example": "throttled" }, "detail": { "type": "string", "example": "Request was throttled." } } } } } } } } } ```